Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1237042

Summary: Review Request: nodejs-validate-npm-package-name - Give me a string and I'll tell you if it's a valid npm package name
Product: [Fedora] Fedora Reporter: Zuzana Svetlikova <zsvetlik>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.2.2-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-24 05:13:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1236565    
Bug Blocks: 956806    

Description Zuzana Svetlikova 2015-06-30 09:18:01 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-validate-npm-package-name/nodejs-validate-npm-package-name.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-validate-npm-package-name/nodejs-validate-npm-package-name-2.2.2-1.fc22.src.rpm
Description: This package exports a single synchronous function that takes a string as input and returns an object
Fedora Account System Username: zvetlik

Comment 1 Parag AN(पराग) 2015-07-14 17:05:37 UTC
Review:

+ mock build is successful for F23 x86_64

+ rpmlint on all generated rpms gave output
nodejs-validate-npm-package-name.noarch: W: only-non-binary-in-usr-lib
nodejs-validate-npm-package-name.noarch: W: dangling-symlink /usr/lib/node_modules/validate-npm-package-name/node_modules/builtins /usr/lib/node_modules/builtins
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


+ Source verified with upstream as (sha256sum)
upstream tarball: de89107058e7f6268c10e4cccff6513c191d3776042569196b3362b80bbcf2f8
srpm tarball: de89107058e7f6268c10e4cccff6513c191d3776042569196b3362b80bbcf2f8

+ License is "ISC" which is valid and is included in its own text file LICENSE.

+ rest looks as per packaging guidelines.

Suggestions:
1) note generally nodejs noarch packages don't need following
BuildRequires: nodejs-devel

remove it.


APPROVED.

Comment 2 Zuzana Svetlikova 2015-07-15 10:41:29 UTC
Thank you!

New Package SCM Request
=======================
Package Name: nodejs-validate-npm-package-name
Short Description: Give me a string and I'll tell you if it's a valid npm package name
Upstream URL: https://github.com/npm/validate-npm-package-name
Owners: zvetlik
Branches: f21 f22 el6 epel7

Comment 3 Gwyn Ciesla 2015-07-15 17:35:52 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-07-30 08:28:44 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/nodejs-validate-npm-package-name-2.2.2-2.fc23

Comment 5 Fedora Update System 2015-07-30 08:29:42 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-validate-npm-package-name-2.2.2-2.fc22

Comment 6 Fedora Update System 2015-07-30 08:31:18 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-validate-npm-package-name-2.2.2-2.fc21

Comment 7 Fedora Update System 2015-07-30 17:29:53 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc23 has been pushed to the Fedora 23 testing repository.

Comment 8 Parag AN(पराग) 2015-09-23 06:15:59 UTC
Any reason not to push updates to stable repository?

Comment 9 Fedora Update System 2015-09-24 05:13:54 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-09-24 08:27:26 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-09-24 14:19:32 UTC
nodejs-validate-npm-package-name-2.2.2-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.